Subject: bug#74082: guix-home: inconsistencies in log-files of shepherd services

From: Dariqq <[email-masked]>
Date: Tue, 29 Oct 2024 09:18:22 +0000

Hi,

There seems to be an inconsistency with the log-files created by home 
shepherd service

- The main shepherd and some other services (dbus, batsignal, unclutter) 
  use .local/state/log/   (resp. $LOCAL_STATE_HOME/log)

- Many other services (kodi, znc, parcimonie, ssh-agent) use the 
shepherd-variable %user-log-dir (from (shepherd support))
which is .local/state/shepherd (resp. $LOCAL_STATE_HOME/shepherd)

which is certainly confusing.

In particular this overrides the default shepherd log file in 
$LOCAL_STATE_HOME/shepherd.

Some consistency would be nice here.

If guix wants to deviate from the shepherd defaults (should the defaults 
be changed instead?, not sure if there is a standard location for user 
level logs) it should probably export this somewhere such that all 
services can easily reuse it.